# Uses of Interface
org.apache.datasketches.quantilescommon.QuantilesFloatsAPI

Packages that use QuantilesFloatsAPI
Package
Description
org.apache.datasketches.kll
This package is for the implementations of the sketch algorithm developed by Zohar Karnin, Kevin Lang, and Edo Liberty that is commonly referred to as the "KLL" sketch after the authors' last names.
org.apache.datasketches.quantilescommon
This package contains common tools and methods for the quantiles, kll and req packages.
org.apache.datasketches.req
This package is for the implementation of the Relative Error Quantiles sketch algorithm.

## Uses of QuantilesFloatsAPI in org.apache.datasketches.kll

Classes in org.apache.datasketches.kll that implement QuantilesFloatsAPI
Modifier and Type
Class
Description
`class`
`KllFloatsSketch`
This variation of the KllSketch implements primitive floats.

## Uses of QuantilesFloatsAPI in org.apache.datasketches.quantilescommon

Methods in org.apache.datasketches.quantilescommon with parameters of type QuantilesFloatsAPI
Modifier and Type
Method
Description
`static double`
KolmogorovSmirnov.`computeKSDelta(QuantilesFloatsAPI sketch1, QuantilesFloatsAPI sketch2)`
Computes the raw delta between two QuantilesFloatsAPI sketches for the kolmogorovSmirnovTest(...) method.
Constructors in org.apache.datasketches.quantilescommon with parameters of type QuantilesFloatsAPI
Modifier
Constructor
Description
``
`FloatsSketchSortedView(float[] quantiles, long[] cumWeights, QuantilesFloatsAPI sk)`
Construct Sorted View.

## Uses of QuantilesFloatsAPI in org.apache.datasketches.req

Classes in org.apache.datasketches.req that implement QuantilesFloatsAPI
Modifier and Type
Class
Description
`final class`
`ReqSketch`
This Relative Error Quantiles Sketch is the Java implementation based on the paper "Relative Error Streaming Quantiles" by Graham Cormode, Zohar Karnin, Edo Liberty, Justin Thaler, Pavel Veselý, and loosely derived from a Python prototype written by Pavel Veselý.